Cyberduck Mountain Duck CLI

#42 closed defect (fixed)

Cyberduck crashes after upload

Reported by: ericn@… Owned by: dkocher
Priority: normal Milestone: 2.5.3
Component: core Version: 2.5.2
Severity: major Keywords: upload crash
Cc: Architecture:
Platform:

Description

Cyberduck crashed randomly and OSX started gdb (GNU debugger) for me. The crash notice dialog showed a backtrace for thread 1 but GDB started in thread 2.

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000018

Attaching to program: `/Applications/Cyberduck.app/Contents/MacOS/Cyberduck', process 891.
0x97086f10 in _BRIDGEJavaInfoForObjcClass ()

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to process 891 thread 0x6903]
0x965bb294 in JVM_RaiseSignal ()
(gdb) bt
#0  0x965bb294 in JVM_RaiseSignal ()
#1  0xffffffff in ?? ()
#2  0x965b9920 in JVM_RaiseSignal ()
#3  0x964e2928 in JVM_IsSameClassPackage ()
#4  0x963e2d6c in operator new ()
#5  0x963e2cc0 in operator new ()
#6  0x963e2c44 in operator new ()
#7  0x9002b200 in _pthread_body ()

(gdb) thread
[Current thread is 2 (process 891 thread 0x6903)]
(gdb) thread 1
[Switching to thread 1 (process 891 thread 0xd03)]
#0  0x97086f10 in _BRIDGEJavaInfoForObjcClass ()
(gdb) bt
#0  0x97086f10 in _BRIDGEJavaInfoForObjcClass ()
#1  0x9708755c in NSIdToJavaHandle ()
#2  0x98239a28 in Java_com_apple_cocoa_application_NSOutlineView_itemAtRow ()
#3  0x04738580 in ?? ()
#4  0x04731ec0 in ?? ()
#5  0x04878d98 in ?? ()
#6  0x04731e30 in ?? ()
#7  0x0472f16c in ?? ()
#8  0x964346fc in jio_snprintf ()
#9  0x964345a4 in jio_snprintf ()
#10 0x964432c4 in JVM_FindPrimitiveClass ()
#11 0x964dca10 in JVM_IsSameClassPackage ()
#12 0x97085b48 in __JAVAMethodInvoke ()
#13 0x97085dc8 in JAVAMethodInvokeBoolean ()
#14 0x9708befc in _NSInvokeJavaMethod ()
#15 0x970882f8 in _BRIDGEMethodImp ()
#16 0x938431e0 in -[NSToolbarItem _validateAsCommonItem:] ()
#17 0x9379d7ac in -[NSToolbar validateVisibleItems] ()
#18 0x9379d704 in -[NSToolbar _autovalidateVisibleToolbarItems] ()
#19 0x9379d5d4 in -[NSToolbarView _doDelayedValidateVisibleToolbarItems] ()
#20 0x928e9138 in __NSFireDelayedPerform ()
#21 0x90770aec in __CFRunLoopDoTimer ()
#22 0x9075d464 in __CFRunLoopRun ()
#23 0x9075ca18 in CFRunLoopRunSpecific ()
#24 0x931861e0 in RunCurrentEventLoopInMode ()
#25 0x93185874 in ReceiveNextEventCommon ()
#26 0x931856e0 in BlockUntilNextEventMatchingListInMode ()
#27 0x93683904 in _DPSNextEvent ()
#28 0x936835c8 in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] ()
#29 0x9367fb0c in -[NSApplication run] ()
#30 0x93770618 in NSApplicationMain ()
#31 0x00007a54 in _start (argc=<incomplete type>, argv=0xbffffd84, envp=0xbffffd90) at /SourceCache/Csu/Csu-58/crt.c:272
#32 0x000078f8 in start ()

Change History (6)

comment:1 Changed on Dec 10, 2005 at 8:22:19 PM by ericn@…

The crash occurred again, this time I've noticed it was right after the download. I am including the full crash report.

Date/Time:      2005-12-10 14:12:58.344 -0600
OS Version:     10.4.3 (Build 8F46)
Report Version: 3

Command: Cyberduck
Path:    /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
Parent:  WindowServer [64]

Version: Version 2.5.2 (18/11/2005 12:13 PM) (2.5.2)

PID:    1309
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000018

Thread 0 Crashed:
0   libObjCJava.A.dylib      	0x97086f10 _BRIDGEJavaInfoForObjcClass + 56
1   libObjCJava.A.dylib      	0x9708755c NSIdToJavaHandle + 88
2   libAppKitJava.B.dylib    	0x98239a28 Java_com_apple_cocoa_application_NSOutlineView_itemAtRow + 120
3   <<00000000>> 	0x04738580 0 + 74679680
4   <<00000000>> 	0x04731ec0 0 + 74653376
5   <<00000000>> 	0x0488f9d8 0 + 76085720
6   <<00000000>> 	0x048938b8 0 + 76101816
7   <<00000000>> 	0x0472f16c 0 + 74641772
8   libjvm.dylib             	0x964346fc jio_snprintf + 295316
9   libjvm.dylib             	0x964345a4 jio_snprintf + 294972
10  libjvm.dylib             	0x964432c4 JVM_FindPrimitiveClass + 6536
11  libjvm.dylib             	0x964dca10 JVM_IsSameClassPackage + 736
12  libObjCJava.A.dylib      	0x97085b48 __JAVAMethodInvoke + 264
13  libObjCJava.A.dylib      	0x97085dc8 JAVAMethodInvokeBoolean + 52
14  libObjCJava.A.dylib      	0x9708befc _NSInvokeJavaMethod + 1020
15  libObjCJava.A.dylib      	0x970882f8 _BRIDGEMethodImp + 152
16  com.apple.AppKit         	0x938431e0 -[NSToolbarItem _validateAsCommonItem:] + 264
17  com.apple.AppKit         	0x9379d7ac -[NSToolbar validateVisibleItems] + 136
18  com.apple.AppKit         	0x9379d704 -[NSToolbar _autovalidateVisibleToolbarItems] + 72
19  com.apple.AppKit         	0x9379d5d4 -[NSToolbarView _doDelayedValidateVisibleToolbarItems] + 32
20  com.apple.Foundation     	0x928e9138 __NSFireDelayedPerform + 304
21  com.apple.CoreFoundation 	0x90770aec __CFRunLoopDoTimer + 184
22  com.apple.CoreFoundation 	0x9075d464 __CFRunLoopRun + 1680
23  com.apple.CoreFoundation 	0x9075ca18 CFRunLoopRunSpecific + 268
24  com.apple.HIToolbox      	0x931861e0 RunCurrentEventLoopInMode + 264
25  com.apple.HIToolbox      	0x93185874 ReceiveNextEventCommon + 380
26  com.apple.HIToolbox      	0x931856e0 BlockUntilNextEventMatchingListInMode + 96
27  com.apple.AppKit         	0x93683904 _DPSNextEvent + 384
28  com.apple.AppKit         	0x936835c8 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 116
29  com.apple.AppKit         	0x9367fb0c -[NSApplication run] + 472
30  com.apple.AppKit         	0x93770618 NSApplicationMain + 452
31  ch.sudo.cyberduck        	0x00007a54 _start + 344 (crt.c:272)
32  ch.sudo.cyberduck        	0x000078f8 start + 60

Thread 1:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   libjvm.dylib             	0x963e2d2c operator new(unsigned long) + 7580
3   libjvm.dylib             	0x963e2cc0 operator new(unsigned long) + 7472
4   libjvm.dylib             	0x963e2c44 operator new(unsigned long) + 7348
5   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 2:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   libjvm.dylib             	0x96433578 jio_snprintf + 290832
3   libjvm.dylib             	0x96433b7c jio_snprintf + 292372
4   libjvm.dylib             	0x964337d0 jio_snprintf + 291432
5   libjvm.dylib             	0x96433324 jio_snprintf + 290236
6   libjvm.dylib             	0x963e2c44 operator new(unsigned long) + 7348
7   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 3:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   libjvm.dylib             	0x964334bc jio_snprintf + 290644
3   libjvm.dylib             	0x9643ff50 JVM_MonitorWait + 1984
4   libjvm.dylib             	0x9643fa64 JVM_MonitorWait + 724
5   libjvm.dylib             	0x9643f898 JVM_MonitorWait + 264
6   <<00000000>> 	0x04738580 0 + 74679680
7   <<00000000>> 	0x04731fb0 0 + 74653616
8   <<00000000>> 	0x04731fb0 0 + 74653616
9   <<00000000>> 	0x0472f16c 0 + 74641772
10  libjvm.dylib             	0x964346fc jio_snprintf + 295316
11  libjvm.dylib             	0x964345a4 jio_snprintf + 294972
12  libjvm.dylib             	0x9643f5d8 JVM_StartThread + 2564
13  libjvm.dylib             	0x9643f4bc JVM_StartThread + 2280
14  libjvm.dylib             	0x9643f444 JVM_StartThread + 2160
15  libjvm.dylib             	0x9643f2d8 JVM_StartThread + 1796
16  libjvm.dylib             	0x963e2c44 operator new(unsigned long) + 7348
17  libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 4:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   libjvm.dylib             	0x964334bc jio_snprintf + 290644
3   libjvm.dylib             	0x9643ff50 JVM_MonitorWait + 1984
4   libjvm.dylib             	0x9643fa64 JVM_MonitorWait + 724
5   libjvm.dylib             	0x9643f898 JVM_MonitorWait + 264
6   <<00000000>> 	0x04738580 0 + 74679680
7   <<00000000>> 	0x04731fb0 0 + 74653616
8   <<00000000>> 	0x04731ec0 0 + 74653376
9   <<00000000>> 	0x04731ec0 0 + 74653376
10  <<00000000>> 	0x0472f16c 0 + 74641772
11  libjvm.dylib             	0x964346fc jio_snprintf + 295316
12  libjvm.dylib             	0x964345a4 jio_snprintf + 294972
13  libjvm.dylib             	0x9643f5d8 JVM_StartThread + 2564
14  libjvm.dylib             	0x9643f4bc JVM_StartThread + 2280
15  libjvm.dylib             	0x9643f444 JVM_StartThread + 2160
16  libjvm.dylib             	0x9643f2d8 JVM_StartThread + 1796
17  libjvm.dylib             	0x963e2c44 operator new(unsigned long) + 7348
18  libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 5:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   libjvm.dylib             	0x96433578 jio_snprintf + 290832
3   libjvm.dylib             	0x96454ba4 JVM_InternString + 3516
4   libjvm.dylib             	0x96454940 JVM_InternString + 2904
5   libjvm.dylib             	0x963e2c44 operator new(unsigned long) + 7348
6   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 6:
0   libSystem.B.dylib        	0x9002b998 semaphore_wait_trap + 8
1   libjvm.dylib             	0x964552bc JVM_InternString + 5332
2   libjvm.dylib             	0x96455070 JVM_InternString + 4744
3   libjvm.dylib             	0x9643f2d8 JVM_StartThread + 1796
4   libjvm.dylib             	0x963e2c44 operator new(unsigned long) + 7348
5   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 7:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   libjvm.dylib             	0x964334bc jio_snprintf + 290644
3   libjvm.dylib             	0x96433bdc jio_snprintf + 292468
4   libjvm.dylib             	0x964563fc JVM_InternString + 9748
5   libjvm.dylib             	0x96456164 JVM_InternString + 9084
6   libjvm.dylib             	0x9643f2d8 JVM_StartThread + 1796
7   libjvm.dylib             	0x963e2c44 operator new(unsigned long) + 7348
8   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 8:
0   libSystem.B.dylib        	0x9001f20c select + 12
1   libObjCJava.A.dylib      	0x97093344 thread_func + 560
2   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 9:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   libjvm.dylib             	0x96433578 jio_snprintf + 290832
3   libjvm.dylib             	0x9643ff50 JVM_MonitorWait + 1984
4   libjvm.dylib             	0x9643fa64 JVM_MonitorWait + 724
5   libjvm.dylib             	0x9643f898 JVM_MonitorWait + 264
6   <<00000000>> 	0x04738580 0 + 74679680
7   <<00000000>> 	0x04731fb0 0 + 74653616
8   <<00000000>> 	0x04731fb0 0 + 74653616
9   <<00000000>> 	0x0472f16c 0 + 74641772
10  libjvm.dylib             	0x964346fc jio_snprintf + 295316
11  libjvm.dylib             	0x964345a4 jio_snprintf + 294972
12  libjvm.dylib             	0x9643f5d8 JVM_StartThread + 2564
13  libjvm.dylib             	0x9643f4bc JVM_StartThread + 2280
14  libjvm.dylib             	0x9643f444 JVM_StartThread + 2160
15  libjvm.dylib             	0x9643f2d8 JVM_StartThread + 1796
16  libjvm.dylib             	0x963e2c44 operator new(unsigned long) + 7348
17  libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 10:
0   libSystem.B.dylib        	0x90023420 recvfrom + 12
1   libnet.jnilib            	0x9b35ae40 Java_java_net_PlainDatagramSocketImpl_receive + 648
2   <<00000000>> 	0x04738c4c 0 + 74681420
3   <<00000000>> 	0x04731fb0 0 + 74653616
4   <<00000000>> 	0x04731fb0 0 + 74653616
5   <<00000000>> 	0x04732310 0 + 74654480
6   <<00000000>> 	0x0472f16c 0 + 74641772
7   libjvm.dylib             	0x964346fc jio_snprintf + 295316
8   libjvm.dylib             	0x964345a4 jio_snprintf + 294972
9   libjvm.dylib             	0x9643f5d8 JVM_StartThread + 2564
10  libjvm.dylib             	0x9643f4bc JVM_StartThread + 2280
11  libjvm.dylib             	0x9643f444 JVM_StartThread + 2160
12  libjvm.dylib             	0x9643f2d8 JVM_StartThread + 1796
13  libjvm.dylib             	0x963e2c44 operator new(unsigned long) + 7348
14  libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 11:
0   libSystem.B.dylib        	0x9002b8a8 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib        	0x9003001c pthread_cond_wait + 488
2   com.apple.Foundation     	0x928e5840 -[NSConditionLock lockWhenCondition:] + 68
3   com.apple.AppKit         	0x937204dc -[NSUIHeartBeat _heartBeatThread:] + 324
4   com.apple.Foundation     	0x928de6d4 forkThreadForFunction + 108
5   libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 12:
0   libSystem.B.dylib        	0x9001422c read + 12
1   libnet.jnilib            	0x9b358174 Java_java_net_SocketInputStream_socketRead0 + 396
2   <<00000000>> 	0x04738580 0 + 74679680
3   <<00000000>> 	0x04731ef0 0 + 74653424
4   <<00000000>> 	0x04731ef0 0 + 74653424
5   <<00000000>> 	0x04731ef0 0 + 74653424
6   <<00000000>> 	0x04879b54 0 + 75995988
7   <<00000000>> 	0x048a0974 0 + 76155252
8   <<00000000>> 	0x0489ec24 0 + 76147748
9   <<00000000>> 	0x04731ec0 0 + 74653376
10  <<00000000>> 	0x04731fb0 0 + 74653616
11  <<00000000>> 	0x04732310 0 + 74654480
12  <<00000000>> 	0x0472f16c 0 + 74641772
13  libjvm.dylib             	0x964346fc jio_snprintf + 295316
14  libjvm.dylib             	0x964345a4 jio_snprintf + 294972
15  libjvm.dylib             	0x9643f5d8 JVM_StartThread + 2564
16  libjvm.dylib             	0x9643f4bc JVM_StartThread + 2280
17  libjvm.dylib             	0x9643f444 JVM_StartThread + 2160
18  libjvm.dylib             	0x9643f2d8 JVM_StartThread + 1796
19  libjvm.dylib             	0x963e2c44 operator new(unsigned long) + 7348
20  libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 13:
0   libSystem.B.dylib        	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000b15c mach_msg + 60
2   libjvm.dylib             	0x96433578 jio_snprintf + 290832
3   libjvm.dylib             	0x9643ff50 JVM_MonitorWait + 1984
4   libjvm.dylib             	0x9643fa64 JVM_MonitorWait + 724
5   libjvm.dylib             	0x9643f898 JVM_MonitorWait + 264
6   <<00000000>> 	0x04738580 0 + 74679680
7   <<00000000>> 	0x04731fb0 0 + 74653616
8   <<00000000>> 	0x04731fb0 0 + 74653616
9   <<00000000>> 	0x0472f16c 0 + 74641772
10  libjvm.dylib             	0x964346fc jio_snprintf + 295316
11  libjvm.dylib             	0x964345a4 jio_snprintf + 294972
12  libjvm.dylib             	0x9643f5d8 JVM_StartThread + 2564
13  libjvm.dylib             	0x9643f4bc JVM_StartThread + 2280
14  libjvm.dylib             	0x9643f444 JVM_StartThread + 2160
15  libjvm.dylib             	0x9643f2d8 JVM_StartThread + 1796
16  libjvm.dylib             	0x963e2c44 operator new(unsigned long) + 7348
17  libSystem.B.dylib        	0x9002b200 _pthread_body + 96

Thread 0 crashed with PPC Thread State 64:
  srr0: 0x0000000097086f10 srr1: 0x000000000000d030                        vrsave: 0x0000000000000000
    cr: 0x24022424          xer: 0x0000000020000004   lr: 0x0000000097086f08  ctr: 0x00000000900017d8
    r0: 0x0000000097086f08   r1: 0x00000000bfffd4a0   r2: 0x0000000000000000   r3: 0x0000000000000000
    r4: 0x0000000000000000   r5: 0x00000000bfffd4c0   r6: 0x00000000ffffffff   r7: 0x0000000000000005
    r8: 0x0000000000000006   r9: 0x0000000000000000  r10: 0x0000000000000000  r11: 0x00000000a707e344
   r12: 0x00000000900017d8  r13: 0x0000000000500c00  r14: 0x0000000000515300  r15: 0x00000000982399b0
   r16: 0x00000000bfffd9f0  r17: 0x0000000069186c28  r18: 0x00000000bfffda44  r19: 0x00000000bfffd9d8
   r20: 0x00000000691e93d8  r21: 0x0000000069186c24  r22: 0x00000000000000b6  r23: 0x00000000bfffdde0
   r24: 0x00000000bfffe024  r25: 0x00000000690b88f0  r26: 0x0000000065842648  r27: 0x0000000065741760
   r28: 0x0000000000000000  r29: 0x000000000005f8cb  r30: 0x0000000008f59340  r31: 0x0000000097086ee8

Binary Images Description:
    0x1000 -     0xdfff ch.sudo.cyberduck Version 2.5.2 (18/11/2005 12:13 PM) (2.5.2)	/Applications/Cyberduck.app/Contents/MacOS/Cyberduck
 0x16c5000 -  0x16c5fff com.apple.SpotLightCM 1.0 (121.20.2)	/System/Library/Contextual Menu Items/SpotlightCM.plugin/Contents/MacOS/SpotlightCM
 0x2e9d000 -  0x2e9dfff org.xlife.InquisitorLoader 2.0 (1.0)	/Users/ericn/Library/InputManagers/Inquisitor/Inquisitor.bundle/Contents/MacOS/Inquisitor
 0x2f2a000 -  0x2f2cfff com.unsanity.menuextraenabler Menu Extra Enabler version 1.0.1 (1.0.1)	/Library/InputManagers/Menu Extra Enabler/Menu Extra Enabler.bundle/Contents/MacOS/Menu Extra Enabler
 0x89d2000 -  0x89d7fff org.tigris.scfinderplugin 1.0 (169)	/Users/ericn/Library/Contextual Menu Items/SCFinderPlugin.plugin/Contents/MacOS/SCFinderPlugin
 0x89e6000 -  0x89e8fff com.apple.AutomatorCMM 1.0 (48)	/System/Library/Contextual Menu Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM
 0x8a44000 -  0x8a48fff com.apple.FolderActionsMenu 1.3	/System/Library/Contextual Menu Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu
 0x8a4c000 -  0x8a4ffff com.ti.eps.TIConnectX.TICCMPlugin 1.6 (19)	/Library/Contextual Menu Items/TI Connect X Menu Plugin.plugin/Contents/MacOS/TI Connect X Menu Plugin
 0x8aa1000 -  0x8aa3fff libODBEdit.dylib 	/Applications/Cyberduck.app/Contents/Resources/Java/libODBEdit.dylib
 0x8dbc000 -  0x8dbdfff libProxy.dylib 	/Applications/Cyberduck.app/Contents/Resources/Java/libProxy.dylib
 0x8dd1000 -  0x8dd2fff libGrowl.dylib 	/Applications/Cyberduck.app/Contents/Resources/Java/libGrowl.dylib
 0x904a000 -  0x9050fff libLocal.dylib 	/Applications/Cyberduck.app/Contents/Resources/Java/libLocal.dylib
0x8fe00000 - 0x8fe54fff dyld 44.2	/usr/lib/dyld
0x90000000 - 0x901b3fff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x9020b000 - 0x9020ffff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x90211000 - 0x90264fff com.apple.CoreText 1.0.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90291000 - 0x90342fff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90371000 - 0x906aefff com.apple.CoreGraphics 1.256.27 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9073a000 - 0x90813fff com.apple.CoreFoundation 6.4.4 (368.25)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x9085c000 - 0x9085cfff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x9085e000 - 0x90960fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x909ba000 - 0x90a3efff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90a68000 - 0x90ad6fff com.apple.framework.IOKit 1.4 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90aed000 - 0x90afffff libauto.dylib 	/usr/lib/libauto.dylib
0x90b06000 - 0x90dddfff com.apple.CoreServices.CarbonCore 671.2	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90e43000 - 0x90ec3fff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90f0d000 - 0x90f4efff com.apple.CFNetwork 10.4.3 (129.2)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90f63000 - 0x90f7bfff com.apple.WebServices 1.1.2 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x90f8b000 - 0x9100cfff com.apple.SearchKit 1.0.4	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x91052000 - 0x9107bfff com.apple.Metadata 10.4.3 (121.20.2)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9108c000 - 0x9109afff libz.1.dylib 	/usr/lib/libz.1.dylib
0x9109d000 - 0x9125ffff com.apple.security 4.2 (24844)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x91362000 - 0x9136bfff com.apple.DiskArbitration 2.1	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91372000 - 0x91399fff com.apple.SystemConfiguration 1.8.1	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x913ac000 - 0x913b4fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x913b9000 - 0x913d9fff libmx.A.dylib 	/usr/lib/libmx.A.dylib
0x913df000 - 0x913e7fff libbsm.dylib 	/usr/lib/libbsm.dylib
0x913eb000 - 0x91469fff com.apple.audio.CoreAudio 3.0.1	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x914a7000 - 0x914a7fff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x914a9000 - 0x914e1fff com.apple.AE 1.5 (297)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x914fc000 - 0x915c9fff com.apple.ColorSync 4.4.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9161e000 - 0x916b1fff com.apple.print.framework.PrintCore 4.3 (172.3)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x916f8000 - 0x917b5fff com.apple.QD 3.8.18 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917f3000 - 0x91851fff com.apple.HIServices 1.5.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x9187f000 - 0x918a3fff com.apple.LangAnalysis 1.6.1	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x918b7000 - 0x918dcfff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x918ef000 - 0x91931fff com.apple.LaunchServices 10.4.5 (168)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9194d000 - 0x91961fff com.apple.speech.synthesis.framework 3.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9196f000 - 0x919a8fff com.apple.ImageIO.framework 1.4.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x919bd000 - 0x91a85fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91ad3000 - 0x91ae8fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91aed000 - 0x91b09fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91b0e000 - 0x91b7dfff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91b94000 - 0x91b98fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91b9a000 - 0x91bcbfff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91bcf000 - 0x91c12fff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91c19000 - 0x91c32fff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91c37000 - 0x91c3afff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91c3c000 - 0x91c3cfff com.apple.Accelerate 1.1.1 (Accelerate 1.1.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91c3e000 - 0x91d28fff com.apple.vImage 2.0	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91d30000 - 0x91d4ffff com.apple.Accelerate.vecLib 3.1.1 (vecLib 3.1.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91dbb000 - 0x91e20fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91e2a000 - 0x91ebcfff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91ed6000 - 0x92466fff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x924ae000 - 0x927befff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x927eb000 - 0x92877fff com.apple.DesktopServices 1.3.1	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x928b9000 - 0x92ae3fff com.apple.Foundation 6.4.2 (567.21)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92c01000 - 0x92cdffff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x92cff000 - 0x92dedfff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92dff000 - 0x92e1dfff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92e28000 - 0x92e82fff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92ea0000 - 0x92ea0fff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92ea2000 - 0x92eb6fff com.apple.ImageCapture 3.0	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92ece000 - 0x92edefff com.apple.speech.recognition.framework 3.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92eea000 - 0x92efffff com.apple.securityhi 2.0 (203)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92f11000 - 0x92f98fff com.apple.ink.framework 101.2 (69)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92fac000 - 0x92fb7fff com.apple.help 1.0.3 (32)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92fc1000 - 0x92feefff com.apple.openscripting 1.2.3 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x93008000 - 0x93018fff com.apple.print.framework.Print 5.0 (190.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x93024000 - 0x9308afff com.apple.htmlrendering 1.1.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x930bb000 - 0x9310dfff com.apple.NavigationServices 3.4.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x93139000 - 0x93156fff com.apple.audio.SoundManager 3.9	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93168000 - 0x93175fff com.apple.CommonPanels 1.2.2 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9317e000 - 0x93490fff com.apple.HIToolbox 1.4.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x935dc000 - 0x935e8fff com.apple.opengl 1.4.6	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x9361b000 - 0x9361ffff com.apple.JavaVM 11.2.0	/System/Library/Frameworks/JavaVM.framework/JavaVM
0x93679000 - 0x93679fff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9367b000 - 0x93caefff com.apple.AppKit 6.4.3 (824.23)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x9403a000 - 0x940a9fff com.apple.CoreData 50 (77)	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x940e2000 - 0x941acfff com.apple.audio.toolbox.AudioToolbox 1.4.1	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x94200000 - 0x94200fff com.apple.audio.units.AudioUnit 1.4	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x94202000 - 0x9437afff com.apple.QuartzCore 1.4.3	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x943c4000 - 0x94401fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x94409000 - 0x94459fff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x945fb000 - 0x9460afff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x94612000 - 0x9461efff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x94663000 - 0x9467bfff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x94682000 - 0x948ecfff com.apple.QuickTime 7.0.3	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x94fe5000 - 0x94ffbfff com.apple.JavaApplicationLauncher 11.2.0	/System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Versions/A/JavaApplicationLauncher
0x963da000 - 0x96621fff libjvm.dylib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libjvm.dylib
0x9707e000 - 0x9709bfff libObjCJava.A.dylib 	/usr/lib/java/libObjCJava.A.dylib
0x972c6000 - 0x97311fff libFoundationJava.B.dylib 	/usr/lib/java/libFoundationJava.B.dylib
0x981d0000 - 0x982bffff libAppKitJava.B.dylib 	/usr/lib/java/libAppKitJava.B.dylib
0x98b55000 - 0x98b70fff libjava.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libjava.jnilib
0x98b7a000 - 0x98b84fff libverify.dylib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libverify.dylib
0x9b355000 - 0x9b35efff libnet.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libnet.jnilib
0x9b39f000 - 0x9b3aafff libzip.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libzip.jnilib
0xc0000000 - 0xc0009fff com.growl.growlframework 0.8 (2971M)	/Applications/Cyberduck.app/Contents/Frameworks/Growl.framework/Versions/A/Growl

Model: PowerBook6,8, BootROM 4.9.0f0, 1 processors, PowerPC G4  (1.2), 1.5 GHz, 512 MB
Graphics: GeForce FX Go5200, GeForce FX Go5200, AGP, 64 MB
Memory Module: DIMM0/BUILT-IN, 256 MB, built-in, built-in
Memory Module: DIMM1/J31, 256 MB, DDR SDRAM, PC2700U-25330
AirPort: AirPort Extreme, 402.6 (3.90.34.0.p13)
Modem: Jump, , V.92, Version 1.0, 
Bluetooth: Version 1.6.6f22, 2 service, 0 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
Parallel ATA Device: MATSHITADVD-R   UJ-835E, 
Parallel ATA Device: FUJITSU MHT2080AH, 74.53 GB
USB Device: Bluetooth HCI, , Up to 12 Mb/sec, 500 mA
USB Device: Apple Internal Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: Microsoft 5-Button Mouse with IntelliEye(TM), Microsoft, Up to 1.5 Mb/sec, 500 mA

comment:2 Changed on Dec 10, 2005 at 8:23:17 PM by ericn@…

  • Keywords upload added; random removed
  • Severity changed from normal to major

comment:3 Changed on Dec 10, 2005 at 8:24:27 PM by anonymous

  • Summary changed from Cyberduck crashes in JVM to Cyberduck crashes after upload

comment:4 Changed on Dec 14, 2005 at 11:13:09 PM by dkocher

  • Status changed from new to assigned

comment:5 Changed on Dec 20, 2005 at 12:30:11 PM by dkocher

  • Milestone changed from 2.6 to 2.5.3
  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software